Status: Closed   

Priority: Normal   

Category:    

Customer: ELEKTROBIT Product Issue

Numbers:

https://www.cip.audi.de/jira/browse/ACO

RE-9182

Department: SUPPORT Affected Products: ADTF 3.1.0

Requester's Priority: Normal Platform: Windows 7 64bit

Support Level: 3rd Level Topic: ADTF::CE

Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage:

Feature-Vorschlag für ADTF-3:

Configuration CRC check

Anwendungsfall:

Speziell für das Thema Testing, aber auch in der Kooperation mit Partnern ist es z.T. wichtig, die Korrektheit einer Konfiguration

nachweisen bzw. widerlegen zu können. Dies gilt im Speziellen für Aufzeichnungen, die mit einer bestimmten Konfiguration unter

Verwendung bestimmter Module (Filter / StreamingSources) gemacht wurden.

Lösungsmöglichkeit:

Bei jeder Aufzeichnung wird die verwendete Konfiguration im EDS abgelegt. Zusätzlich werden zu jedem Filter die entsprechenden

Versionen abgelegt. Da bei kundenimplementierten Modulen nicht unbedingt von einer sauberen Versionierung ausgegangen

werden kann, wird zusätzlich ein CRC von jedem Modul mit abgespeichert.

Best regards - Beste Grüße

Ursula Groh

EB Assist ADTF Support-Team

Lösung:

Bereits in ADTF 3.1 ist das ADTFDAT File Attachment enthalten.

Siehe Doku https://support.digitalwerk.net/adtf/v3/adtf_html/page_file_attachments.html

Damit ist es z.B. möglich komplette Ordnerstrukturen (ADTF Projekt) an ein ADTFDAT File zu hängen.

Zur Implementierung einer Versionierung bzw. Überprüfung der der verwendeten Filter anhand einer CRC Checksum habe ich das

Produktticket ACORE-9182 angelegt.

History

#1 - 2017-08-31 13:31 - hidden

- Project changed from Public Support to 7

- Topic set to ADTF::CE

- Customer set to ELEKTROBIT

- Department set to SUPPORT

- Affected Products ADTF 3.1.0 added

- Platform Windows 7 64bit added

#2 - 2017-09-05 12:19 - hidden

- Status changed from New to In Progress
https://support.digitalwerk.net/adtf/v3/adtf_html/page_file_attachments.html


#3 - 2017-09-05 12:20 - hidden

- Support Level changed from 2nd Level to 3rd Level

#4 - 2017-09-05 12:44 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9182

Hallo Ursula,

bereits in ADTF 3.1 ist das ADTFDAT File Attachment enthalten.

Siehe Doku https://support.digitalwerk.net/adtf/v3/adtf_html/page_file_attachments.html

Damit ist es z.B. möglich komplette Ordnerstrukturen (ADTF Projekt) an ein ADTFDAT File zu hängen.

Zur Implementierung einer Versionierung bzw. Überprüfung der der verwendeten Filter anhand einer CRC Checksum habe ich das Produktticket

ACORE-9182 angelegt.

Damit sollte das Supportticket abgeschlossen sein, bitte um kurzes Feedback das wir das Ticket abschließen können.

#5 - 2017-09-08 08:57 - hidden

Bitte um Feedback bis spätestens Montag den 11.09.2017.

Ticket ist soweit aus Supportsicht abgeschlossen, Produktticket wurde erstellt.

#6 - 2017-09-12 14:13 - hidden

- Subject changed from ADTFS-47606 Feature-Vorschlag für ADTF-3 to ADTFS-47606 Save and check adtf project with ADTFDAT File Attachment

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

@Florian, Ticket kann geschlossen werden. Interessant für alle -> public

#8 - 2017-09-14 11:26 - hidden

- Status changed from To Be Closed to Closed

#9 - 2018-01-25 12:06 - hidden

- Project changed from 7 to Public Support
